

//  T2.4_Clients file2.cpp

// Reading and printing a sequential file.
#include <iostream>
#include <iomanip>
#include <fstream>
#include <cstdlib> // exit prototype

using namespace std;

void outputLine( int, const char * const, double ); // prototype

int main()
{
   // ifstream constructor opens the file
   ifstream inClientFile( "clients.dat", ios::in );

   // exit program if ifstream could not open file
   if ( !inClientFile ) {
      cerr << "File could not be opened" << endl;
      exit( 1 );

   } // end if

   int account;
   char name[ 30 ];
   double balance;

   cout << left << setw( 10 ) << "Account" << setw( 13 ) 
        << "Name" << "Balance" << endl << fixed << showpoint;

   // display each record in file
   while ( inClientFile >> account >> name >> balance )
      outputLine( account, name, balance );
   cout << endl; 

   system("pause");
   return 0; // ifstream destructor closes the file
} // end main

// function definition: display single record from file
void outputLine( int account, const char * const name, 
   double balance )
{
   cout << left << setw( 10 ) << account << setw( 13 ) << name
        << setw( 7 ) << setprecision( 2 ) << right << balance
        << endl; 

} // end function outputLine

